"use strict";
module.exports = [
    {
        name: 'storybook:recommended:setup',
        plugins: {
            get storybook() {
                // eslint-disable-next-line @typescript-eslint/no-require-imports
                return require('../../index');
            },
        },
    },
    {
        name: 'storybook:recommended:stories-rules',
        files: ['**/*.stories.@(ts|tsx|js|jsx|mjs|cjs)', '**/*.story.@(ts|tsx|js|jsx|mjs|cjs)'],
        rules: {
            'react-hooks/rules-of-hooks': 'off',
            'import/no-anonymous-default-export': 'off',
            'storybook/await-interactions': 'error',
            'storybook/context-in-play-function': 'error',
            'storybook/default-exports': 'error',
            'storybook/hierarchy-separator': 'warn',
            'storybook/no-redundant-story-name': 'warn',
            'storybook/prefer-pascal-case': 'warn',
            'storybook/story-exports': 'error',
            'storybook/use-storybook-expect': 'error',
            'storybook/use-storybook-testing-library': 'error',
        },
    },
    {
        name: 'storybook:recommended:main-rules',
        files: ['.storybook/main.@(js|cjs|mjs|ts)'],
        rules: {
            'storybook/no-uninstalled-addons': 'error',
        },
    },
];
